Python 3.6.4-PIP捆绑了吗?
收藏

我通过Linux包管理器下载了Python3.6.4,但无法识别PIP命令。PIP是否与Python 3.6.4捆绑在一起?
由于内存不足,运行get-pip.py脚本时遇到问题。所以我想让皮普通过其他途径。
谢谢,
史蒂夫


最佳答案:

Python的标准发行版包括pip,但是Linux包与标准发行版不同。许多Linux python包不包括pip(或标准发行版中的其他东西,如IDLE或turtle)。这对于只需要Python来运行脚本而不是开发脚本的Linux系统非常有用。
尝试与包管理器单独安装pip。它通常在Python可用时可用,但可能是一个单独的包。
您还可以尝试从python.org下载标准的源代码发行版(您必须编译它),或者根据您的需要,您可以使用来自更完整发行版(如Anaconda)的安装程序。

    公众号
    关注公众号订阅更多技术干货!